(Опрос) Поддержку какой версии IE вы считаете обязательной?

Тема в разделе "Вёрстка (HTML, CSS)", создана пользователем IvanCo, 18 янв 2013.

?

Поддержку каких версий IE вы считаете обязательной на данный момент?

  1. 6 и более новых

    3 голосов
    3,2%
  2. 7 и более новых

    18 голосов
    18,9%
  3. 8 и более новых

    37 голосов
    38,9%
  4. 9 и новее

    37 голосов
    38,9%
  1. art-denis

    art-denis

    Регистрация:
    2 авг 2013
    Сообщения:
    45
    Симпатии:
    6
    Хром и Яндекс - все- же базируются на одном ядре. А имеют такую большую разницу в спросе. Но а в общем статистика даже по мне, показывает правдиво.
    А так я вообще пользуюсь почти всеми браузерами.
    Жена пользуется Оперой. Хромом и Мозилой пользуюсь постоянно я. Браузер Яндекс настроил под интернет серфинг (отключив все плагины и флеши и графику, рекламу). Сафари и IE, чисто спонтанно, когда не охото открывать основные браузеры, где куча открытых вкладок.
    А так есть ещё один браузер "Maxtone" - похож очень на IE, но работает шустрей и интересней.
     
  2. Lena_&9

    Lena_&9

    Регистрация:
    23 фев 2014
    Сообщения:
    71
    Симпатии:
    98
    Я хоть и проголосовала, но принципиально против любой версии, считаю IE - несколько недоработанным.
     
  3. Commondore

    Commondore

    Регистрация:
    1 мар 2014
    Сообщения:
    14
    Симпатии:
    2
    по мне так самый более менее адектватный из них 10-ая версия
     
  4. alex_storm

    alex_storm дизайн, CSS Команда форума

    Регистрация:
    11 дек 2012
    Сообщения:
    1.121
    Симпатии:
    560
    Даю отчетность посещения моего сайта за 3 месяца. Тематика - норковые шубы.
    Как видите большенство людей предпочитает оперу и хром, но и осла тоже есть, причем на выбор:Smile:
    [​IMG]
     
  5. R4an_93

    R4an_93

    Регистрация:
    14 янв 2013
    Сообщения:
    265
    Симпатии:
    30
    По мне так тоже лучше не брать в расчет IE, слишком много заморочек для того, чтобы удовлетворить 1-2 % посетителей сайта.
     
  6. dwm

    dwm

    Регистрация:
    31 окт 2012
    Сообщения:
    134
    Симпатии:
    14
    Категорически против ИЕ. И вообще, уже более 10 лет весьма скептически отношусь к продуктам мелкософта.
     
  7. alex_storm

    alex_storm дизайн, CSS Команда форума

    Регистрация:
    11 дек 2012
    Сообщения:
    1.121
    Симпатии:
    560
    Забьем, что только что отписал с Винды и у тебя установлен Word ? :Smile:
     
  8. dwm

    dwm

    Регистрация:
    31 окт 2012
    Сообщения:
    134
    Симпатии:
    14
    Забивать не буду. Ноут жены. Мой в ремонте. Жена, в виду своей неприязни к переменам и потрясениям, под страхом обрыва "маракасов", запретила устанавливать на ее ноут линух. Надеюсь, оправдание засчитано.
    А я, с недавних пор, юзаю Elementary OS Luna (ранее был дебиан и бубунта, ЛМ). Уж очень понравилась мне вещица. Кстати, танки (забава моя) весьма недурственно чувствуют себя в линухах.
    И с софтом проблем нет.
    А ИЕ, который тут собрались обсуждать, можно использовать только 10й. В принципе, даже без слёз.
     
  9. alex_storm

    alex_storm дизайн, CSS Команда форума

    Регистрация:
    11 дек 2012
    Сообщения:
    1.121
    Симпатии:
    560
    Если исходить из того, какой версией IE пользоватся, то только 11. А если исходить из того, какую поддерживать при разработке, то начиная с 8. И отслеживать когда мелкософт откажется от ее поддержки и перейдет только к 9.
     
  10. Alexander74747

    Alexander74747

    Регистрация:
    9 ноя 2012
    Сообщения:
    5
    Симпатии:
    2
    Последних версий браузеров, раньше заморачивался даже с ie6 :wink:
    Но если беру хорошие деньги за верстку, то и сейчас все во всех версиях проверю.
     
  11. Andersol

    Andersol

    Регистрация:
    31 мар 2014
    Сообщения:
    6
    Симпатии:
    1
    Все зависит от клиентов, то есть тех людей которые будут заходить на сайт. Если это бабушки, то делаем две верстки - под нормальные браузеры и под ie 6-8. Если молодеж, забываем об ie (совсем). Если что-то среднее, то от ie8 и выше.
     
  12. nikfakel

    nikfakel

    Регистрация:
    24 июл 2013
    Сообщения:
    150
    Симпатии:
    33
    ИМХО, в целом поддержку стоит писать ИЕ8 и выше, но для каждого конкретного проекта смотреть статистику по браузерам. Например, на Хабрахабр заходит меньше 1% людей с ИЕ, а на какой-нибудь гос сайт вполне может быть значительная доля ИЕ6. И да, если заказчик требует поддержку древних браузеров, то - +100% стоимости верстки.
     
  13. Eraserhead

    Eraserhead

    Регистрация:
    17 апр 2014
    Сообщения:
    4
    Симпатии:
    0
    Заказчики отчего-то до сих пор берут его в расчет. А заказчиков принимаем в расчет мы.
     
  14. Extremum

    Extremum

    Регистрация:
    6 июн 2014
    Сообщения:
    5
    Симпатии:
    0
    две последних - остальное за дополнительную оплату.
     
  15. Cyrpheus

    Cyrpheus

    Регистрация:
    10 июн 2014
    Сообщения:
    12
    Симпатии:
    2
    Так как верстаю с 2004 года, то могу сказать одно. Верстайте так, чтобы визульная красота исходника передалась под хром, мозилу, оперу. А там, где css не позволяет отобразить все элементы в IE, то посредством старых стандартов. Как выше отписали, нужно обязательно провести анализ при помощи метрики и гуглаАналитики. Понять, кто какой браузер использует, под какой частотностью посещаемости, и далее править под эти браузеры одним стилем, или же под каждую версию IE подтягивать свой стиль.
     
  16. vakon

    vakon

    Регистрация:
    18 дек 2012
    Сообщения:
    5
    Симпатии:
    0
    Почему в опросе нет варианта, 10 и выше ? или самая последняя версия... Не нужно стараться понравится всем. если человек живет прошлым и не хочет обновляться, то не надо ему в этом помагать... Откроет дисяток сайтов, которые будут криво отображаться и сам поймет, что у него что то не так..
     
  17. Fured

    Fured

    Регистрация:
    13 мар 2013
    Сообщения:
    8
    Симпатии:
    1
    Если ресурс коммерческий, считаю обязательным поддержку IE8+. Старые поддерживать уже нет смысла. Но некоторые потенциальные клиенты (пусть даже 0,5%) не хотят разбираться в браузерах и обновлениях. У них на это мозг не настроен. Включив винду с IE8 будет шанс продать им свой товар/услугу. ИМХО. Свое мнение не навязываю.
     
  18. Руслан911

    Руслан911

    Регистрация:
    27 авг 2013
    Сообщения:
    63
    Симпатии:
    21
    делаю верстку только под 8-9, + ставлю скрипт если пользователь зашел с 6-7 то его просят обновить браузер!
     
  19. ajs

    ajs

    Регистрация:
    21 мар 2014
    Сообщения:
    15
    Симпатии:
    10
    ИЕ 8 в топку! ИЕ 9 и выше! Но как уже говорилось: для каждого проекта свои индивидуальные условия.
     
  20. LuisAlberto

    LuisAlberto

    Регистрация:
    1 июл 2014
    Сообщения:
    14
    Симпатии:
    2
    Вообще я зачастую за основу беру сетку бутстрапа, у неё практически нет проблем с обратной совместимостью с IE 7-. Но в последние пару лет я могу вспомнить всего лишь пару случаев, когда клиентам позарез нужно было отображение в IE 7, и там пришлось встраивать дополнительные костыли, html5shim.js & respond.min.js рулят для адаптивки. :wink:

    Вообще сама методика вёрстки Mobile First очень хорошо помогает не допускать ошибок при кроссбраузерном написании того или иного сайта. В своё время мне она сняла кучу проблем.